Bullet Collision Detection & Physics Library: GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 > Class Template Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 > Class Template Reference

GIM_BOX_SET collision methods. More...

`#include <gim_box_set.h>`

Collaboration diagram for GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >:
[legend]

## Public Member Functions
| GIM_TREE_TREE_COLLIDER ()
void | find_collision (BOX_SET_CLASS0 *boxset1, const btTransform &trans1, BOX_SET_CLASS1 *boxset2, const btTransform &trans2, gim_pair_set &collision_pairs, bool complete_primitive_tests=true)

## Public Attributes
gim_pair_set * | m_collision_pairs
BOX_SET_CLASS0 * | m_boxset0
BOX_SET_CLASS1 * | m_boxset1
GUINT | current_node0
GUINT | current_node1
bool | node0_is_leaf
bool | node1_is_leaf
bool | t0_is_trimesh
bool | t1_is_trimesh
bool | node0_has_triangle
bool | node1_has_triangle
GIM_AABB | m_box0
GIM_AABB | m_box1
GIM_BOX_BOX_TRANSFORM_CACHE | trans_cache_1to0
btTransform | trans_cache_0to1
GIM_TRIANGLE | m_tri0
btVector4 | m_tri0_plane
GIM_TRIANGLE | m_tri1
btVector4 | m_tri1_plane

## Protected Member Functions
void | retrieve_node0_triangle (GUINT node0)
void | retrieve_node1_triangle (GUINT node1)
void | retrieve_node0_info (GUINT node0)
void | retrieve_node1_info (GUINT node1)
bool | node_collision (GUINT node0, GUINT node1)
void | find_collision_pairs ()

## Detailed Description

template<typename BOX_SET_CLASS0, typename BOX_SET_CLASS1>
class GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >

GIM_BOX_SET collision methods.

Definition at line 433 of file gim_box_set.h.

## Constructor & Destructor Documentation

## ◆ GIM_TREE_TREE_COLLIDER()

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::GIM_TREE_TREE_COLLIDER | ( |  | ) |
| inline

Definition at line 457 of file gim_box_set.h.

## Member Function Documentation

## ◆ find_collision()

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

void GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::find_collision | ( | BOX_SET_CLASS0 * | boxset1,
|  | const btTransform & | trans1,
|  | BOX_SET_CLASS1 * | boxset2,
|  | const btTransform & | trans2,
|  | gim_pair_set & | collision_pairs,
|  | bool | complete_primitive_tests = `true`
| ) |  |
| inline

Definition at line 612 of file gim_box_set.h.

## ◆ find_collision_pairs()

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

void GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::find_collision_pairs | ( |  | ) |
| inlineprotected

Definition at line 549 of file gim_box_set.h.

## ◆ node_collision()

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

bool GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::node_collision | ( | GUINT | node0,
|  | GUINT | node1
| ) |  |
| inlineprotected

Definition at line 508 of file gim_box_set.h.

## ◆ retrieve_node0_info()

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

void GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::retrieve_node0_info | ( | GUINT | node0 | ) |
| inlineprotected

Definition at line 490 of file gim_box_set.h.

## ◆ retrieve_node0_triangle()

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

void GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::retrieve_node0_triangle | ( | GUINT | node0 | ) |
| inlineprotected

Definition at line 464 of file gim_box_set.h.

## ◆ retrieve_node1_info()

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

void GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::retrieve_node1_info | ( | GUINT | node1 | ) |
| inlineprotected

Definition at line 499 of file gim_box_set.h.

## ◆ retrieve_node1_triangle()

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

void GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::retrieve_node1_triangle | ( | GUINT | node1 | ) |
| inlineprotected

Definition at line 477 of file gim_box_set.h.

## Member Data Documentation

## ◆ current_node0

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

GUINT GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::current_node0

Definition at line 439 of file gim_box_set.h.

## ◆ current_node1

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

GUINT GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::current_node1

Definition at line 440 of file gim_box_set.h.

## ◆ m_box0

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

GIM_AABB GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::m_box0

Definition at line 447 of file gim_box_set.h.

## ◆ m_box1

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

GIM_AABB GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::m_box1

Definition at line 448 of file gim_box_set.h.

## ◆ m_boxset0

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

BOX_SET_CLASS0* GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::m_boxset0

Definition at line 437 of file gim_box_set.h.

## ◆ m_boxset1

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

BOX_SET_CLASS1* GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::m_boxset1

Definition at line 438 of file gim_box_set.h.

## ◆ m_collision_pairs

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

gim_pair_set* GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::m_collision_pairs

Definition at line 436 of file gim_box_set.h.

## ◆ m_tri0

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

GIM_TRIANGLE GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::m_tri0

Definition at line 451 of file gim_box_set.h.

## ◆ m_tri0_plane

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

btVector4 GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::m_tri0_plane

Definition at line 452 of file gim_box_set.h.

## ◆ m_tri1

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

GIM_TRIANGLE GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::m_tri1

Definition at line 453 of file gim_box_set.h.

## ◆ m_tri1_plane

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

btVector4 GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::m_tri1_plane

Definition at line 454 of file gim_box_set.h.

## ◆ node0_has_triangle

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

bool GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::node0_has_triangle

Definition at line 445 of file gim_box_set.h.

## ◆ node0_is_leaf

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

bool GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::node0_is_leaf

Definition at line 441 of file gim_box_set.h.

## ◆ node1_has_triangle

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

bool GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::node1_has_triangle

Definition at line 446 of file gim_box_set.h.

## ◆ node1_is_leaf

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

bool GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::node1_is_leaf

Definition at line 442 of file gim_box_set.h.

## ◆ t0_is_trimesh

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

bool GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::t0_is_trimesh

Definition at line 443 of file gim_box_set.h.

## ◆ t1_is_trimesh

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

bool GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::t1_is_trimesh

Definition at line 444 of file gim_box_set.h.

## ◆ trans_cache_0to1

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

btTransform GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::trans_cache_0to1

Definition at line 450 of file gim_box_set.h.

## ◆ trans_cache_1to0

template<typename BOX_SET_CLASS0 , typename BOX_SET_CLASS1 >

GIM_BOX_BOX_TRANSFORM_CACHE GIM_TREE_TREE_COLLIDER< BOX_SET_CLASS0, BOX_SET_CLASS1 >::trans_cache_1to0

Definition at line 449 of file gim_box_set.h.

The documentation for this class was generated from the following file:

- gim_box_set.h